/**
 * This script is used to create a new tag for the project.
 * It will get the last tag, bump the version and create a new tag with the commit log since the last tag.
 * Optionally, it will push the new tag to GitHub.
 *
 * Usage: `npm run tag <'patch' | 'minor' | 'major' | 'rc'>
 *
 * Example: if the last tag is v1.0.0, running `npm run tag patch` will create a new tag v1.0.1
 * Example: if the last tag is v1.3.8rc2, running `npm run tag rc` will create a new tag v1.3.8rc3
 * Example: if the last tag is v1.3.8rc2, running `npm run tag minor` will create a new tag v1.4.0
 * etc.
 */
export type Level = 'major' | 'minor' | 'patch' | 'rc';
